Commit d2a01339 authored by Jaden's avatar Jaden Committed by Samuel GAIST

[schema] specify draft7 json schema

Also bumps the jsonschema version requirement
parent a3fa6bf7
......@@ -105,7 +105,7 @@ def load_schema(schema_name, version=1):
resolver = jsonschema.RefResolver("file://" + basedir + "/", schema)
# now we load it
return jsonschema.Draft4Validator(schema, resolver=resolver)
return jsonschema.Draft7Validator(schema, resolver=resolver)
def validate(schema_name, data):
......
......@@ -31,7 +31,7 @@ requirements:
- docker-py
- docopt
- python-graphviz
- jsonschema
- jsonschema >=3.0.0
- numpy
- pip
- pyzmq
......
......@@ -2,7 +2,7 @@ beat.backend.python>=1.6.0a0
docker
docopt
graphviz
jsonschema
jsonschema>=3.0.0
numpy
pip
pyzmq
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment